package es.verdnatura.presentation.view.feature.paletizador.model

import es.verdnatura.presentation.view.feature.articulo.model.BarcodeVO

class ItemExpeditionTruckVO(
    var id: Int,
    var eta: String = "",
    var description: String = ""
)

data class ItemExpeditionTruckSalix(
    var truckFk: Int,
    var expeditionTruck:ItemExpedition)

data class ItemExpedition (
    var id: Int,
    var eta: String? = "",
    var description: String = ""
)

data class ExpeditionTruckSalix(val eta:String,val description: String)

class ItemExpeditionTruckList(
    var list: List<ItemExpeditionTruckVO> = listOf()
)

class ItemExpedetionState(
    var list: MutableList<ItemsExpeditionDynamics>

)

class ItemsExpeditionDynamics(
    var key: String = "",
    var value: String? = null
)

class ItemExpeditionStateRow(
    var title: String? = "",
    var value: String? = "",
    var isEditable: Boolean = true,
    var action: String = "",
    var barcodes: List<BarcodeVO> = listOf()
)
